/* includes.h */

/* system includes */

#include <exec/types.h>
#include <exec/memory.h>
#include <devices/narrator.h>
#include <graphics/gfxbase.h>
#include <graphics/text.h>
#include <graphics/gfxmacros.h>
#include <intuition/intuition.h>
#include <intuition/gadgetclass.h>
#include <intuition/classes.h>
#include <libraries/gadtools.h>
#include <utility/tagitem.h>
#include <workbench/icon.h>
#include <workbench/startup.h>
#include <workbench/workbench.h>

#include <gadgets/layout.h>
#include <gadgets/button.h>
#include <gadgets/fuelgauge.h>
#include <classes/window.h>
#include <images/label.h>

#include <proto/dos.h>
#include <proto/exec.h>
#include <proto/gadtools.h>
#include <proto/icon.h>
#include <proto/intuition.h>
#include <proto/translator.h>

#include <proto/layout.h>
#include <proto/button.h>
#include <proto/fuelgauge.h>
#include <proto/window.h>
#include <proto/label.h>

#include <clib/alib_protos.h>
#include <clib/reaction_lib_protos.h>
#include <reaction/reaction.h>
#include <reaction/reaction_macros.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

/* Lottery LOTTO_Box macro */
#define LOTTO_Box(box_num) \
	StartMember, gadgets[box_num] = ButtonObject,\
		GA_ReadOnly,			TRUE,\
		GA_TextAttr,			&helvetica,\
		BUTTON_SoftStyle,    FSF_BOLD,\
		BUTTON_BevelStyle,	BVS_THIN,\
	EndMember,\
	CHILD_MinWidth,40,\
	CHILD_MinHeight,28,\
	CHILD_MaxWidth,40,\
	CHILD_MaxHeight,28

/* Lottery Fuel Guage macro */
#define StartMyFuelGauge(my_id, my_max, percent)\
	StartMember, gadgets[my_id] = FuelGaugeObject,\
		GA_ID, my_id,\
		GA_RelVerify, TRUE,\
		FUELGAUGE_Min, 1,\
		FUELGAUGE_Max, my_max,\
		FUELGAUGE_Level, 0,\
		FUELGAUGE_Ticks, 0,\
		FUELGAUGE_Percent, percent,\
	EndMember


/* Lottery StartMyButton macro */
#define StartMyButton(my_id,my_text,di) \
	StartMember, gadgets[my_id] = ButtonObject,\
		GA_ID,my_id,\
		GA_Text,my_text,\
		GA_Disabled, di,\
		GA_RelVerify,TRUE

/* Common.c Prototypes */
long requester(char *title, char *text, char *buttons);
void putbusy(struct Window *win);
void clearbusy(struct Window *win);

/* Main.c Prototypes */
void main( int argc, char *argv[] );
void cleanexit(int returnvalue);
BOOL opengui();

/* Gui.c Prototypes */
BOOL setmenus(void);
void events(struct MsgPort *AppPort, Object *object,
            struct Gadget *gadgets[], struct Window *win);

/* Events.c Prototypes */
void handlehelp(struct Window *win, ULONG helpcode);
BOOL handlemenus(struct Window *win, struct Gadget *gads[],
					Object *object,UWORD m_number);

/* Handlegads.c Prototypes */
void get_num(struct Window *win, struct Gadget *gads[]);
void sortnums(int nums[]);
void printnums(struct Window *win, struct Gadget *gads[], int wed, int sat, int gad);
void speak(char *text);
BOOL handlegads(struct Window *win, struct Gadget *gads[], UWORD code, UWORD gad);
BOOL speaknums(int nums[], BYTE day);
